# Nepal Electricity

This API allows you to recharge Nepal Electricity Authority (NEA) accounts.

* To get a list of available operators, use the [Operator Lookup API](/additional-nepal-apis/operator-lookup.md).
* To get a list of available operator types, use the [Operator Type Lookup API.](/additional-nepal-apis/operator-type-lookup.md)
* To find a list of available office codes, refer to the [Office Code API](/additional-nepal-apis/office-code-lookup.md).

#### How To Use:

1. **Identify the Operator**:
   * First, use the [Operator Lookup API ](/additional-nepal-apis/operator-lookup.md)to get the correct operator based on user input or selection.
2. **Determine Operator Type**:
   * Use the [Operator Type Lookup API ](/additional-nepal-apis/operator-type-lookup.md)to confirm the type (e.g., Mobile, DTH, Data Pack etc).
3. **Retrieve Office Code**:
   * For Nepal Electricity Authority operator, you will need an **office code**. Use the[ Office Code API ](/additional-nepal-apis/office-code-lookup.md)to find the appropriate code for the user's location.
4. **Check Bill Amount for NEA**
   * Refer the Check Bill API to get bill details ( [Check NEA Bill API ](/nepal-recharge/nepal-electricity/check-bills-for-nea.md))
5. **Initiate Recharge**:
   * Once you have obtained all the required details (operator, type, office code), you can use the API to initiate a recharge request.

## Execute the recharge for NEA

<mark style="color:green;">`POST`</mark> `/np/recharge/execute`

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |
| Accept       | `application/json` |
| x-auth-token | `<token>`          |

**Body**

| Name               | Type   | Description                                                                        |
| ------------------ | ------ | ---------------------------------------------------------------------------------- |
| `operator_id`      | number | The ID of the operator to recharge                                                 |
| `operator_type_id` | number | The type ID of the operator                                                        |
| `connection_no`    | string | Enter the customer ID of the user                                                  |
| `office_code`      | string | Office code loction ( [refer this](/additional-nepal-apis/office-code-lookup.md) ) |
| `sc_no`            | string | SC No of the NEA                                                                   |
| `reference_no`     | string | The unique reference number for the recharge.                                      |
| `phone`            | string | Nepali Phone number                                                                |
| `advance_amount`   | string | Due amount received in Check Bill API / Advance incase no bill                     |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "error": false,
  "message": "Additional message about the recharge"
 "data" : [
  "transaction_id" => "Transaction ID of the recharge e.g 12345",
  "reference_no"   => "Unique reference number provided by you for later reference",
  "amount"         => "Amount for which recharge has been done",
  "credit_consumed": 
       {
          "service_charge": " Processing fees charged by Company e.g 0.5 ",
          "instant_discount": " Any Discount Offered by Company e.g 0.2 ",
          "debit_amount": " Recharged amount + Service charge - instant discount e.g 10.3 "
        },
   "credit_available": "Available wallet balance after transaction e.g 8313.58",
   "status"         => "Status of the recharge e.g queued, success,failed, etc"
 ]
}
```

{% endtab %}

{% tab title="4XX/5XX" %}

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "boolean",
      "description": "The status of the recharge execution either true or false"
    },
    "message": {
      "type": "string",
      "description": "A message providing additional information about the error of the recharge execution."
    },
     "data": {
      "type": "error",
      "description": "Blank array in case of error"
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.globaltopup.in/nepal-recharge/nepal-electricity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
